[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ConstImageIterator [Image Iterators] |

Standard 2D random access const iterator for images that store the data as a linear array. More...

`#include <vigra/imageiterator.hxx>`

Inheritance diagram for ConstImageIterator:

List of all members.

## Public Types
typedef Base::difference_type | difference_type
typedef Base::pointer | pointer
## Public Member Functions
| ConstImageIterator ()
| ConstImageIterator (pointer base, int ystride)

## Detailed Description

### template<class PIXELTYPE>
class vigra::ConstImageIterator< PIXELTYPE >

Standard 2D random access const iterator for images that store the data as a linear array.

Most functions are inherited from ImageIteratorBase.

#include <vigra/imageiterator.hxx>

Namespace: vigra

## Member Typedef Documentation

typedef Base::difference_type difference_type

the iterator's difference type (argument type of `iter[diff]`)

Reimplemented from ImageIteratorBase.

typedef Base::pointer pointer

the iterator's pointer type (return type of `iter.operator->()`)

Reimplemented from ImageIteratorBase.

## Constructor & Destructor Documentation

ConstImageIterator | ( | pointer | base,
|  | int | ystride |
| ) |  |  |

Construct from raw memory with a vertical stride of `ystride`. `ystride` must equal the physical image width (row length), even if the iterator will only be used for a sub image. If the raw memory is encapsulated in an image object this object should have a factory function that constructs the iterator.

ConstImageIterator | ( |  | ) |

Default constructor

The documentation for this class was generated from the following file:

- vigra/imageiterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)